Subject: Re: [ANNOUNCE] GIT 1.5.3-rc7

From: Johannes Sixt <[email-masked]>
Date: Wed, 29 Aug 2007 17:42:58 +0200

Johannes Schindelin schrieb:
> To refresh my memory, could you please describe how mingw.git's master and 
> devel branches are handled?

'master' merges git.git's tagged releases, i.e. the 'maint' branch, but 
also the -rc series of a new feature release (like in the past weeks).

'devel' contains additional commits that make a "flawless" test suite, 
i.e. mostly disables tests that trigger bugs. This branch is always 
rebased onto of 'master'.

Originally 'devel' contained code changes without which MinGW git would 
have been unusable, but currently it really only disables tests that 
trigger exotic bugs[*] that I cannot fix right away and so is basically 
just for my own convenience. I could very well get rid of the branch - 
if only to raise the incentive for others to help fix the bugs. ;)

[*] bugs that I do not encounter in may daily workflow.

-- Hannes